Bug 436543 - satellite.listEntitlements API Call Does Not Include Entitlement Labels
satellite.listEntitlements API Call Does Not Include Entitlement Labels
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
510
All Linux
low Severity low
: ---
: ---
Assigned To: Devan Goodwin
Preethi Thomas
:
Depends On:
Blocks: 429319
  Show dependency treegraph
 
Reported: 2008-03-07 14:48 EST by Devan Goodwin
Modified: 2008-08-13 15:07 EDT (History)
0 users

See Also:
Fixed In Version: sat511
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-13 15:01:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2008-03-07 14:48:25 EST
Description of problem:

The satellite.listEntitlements API call returns a large struct of both system
and channel entitlements. Entitlements appear by name, but elsewhere in the API
entitlement labels are used to perform operations. This leaves no progrematic
way to obtain the entitlement labels and the user may have to dig into the
database itself to find them.


Steps to Reproduce:
1. Call satellite.listEntitlements.
  
Actual results:

Note for both system and channel entitlements, only the "name" field is present
in the struct.

Expected results:

"label" should also be present.
Additional info:
Comment 1 Devan Goodwin 2008-03-07 14:50:46 EST
Fixed in trunk as part of 5.2 api work.

Sending        code/src/com/redhat/rhn/common/db/datasource/xml/Channel_queries.xml
Sending        code/src/com/redhat/rhn/domain/server/ServerGroupFactory.java
Sending        code/src/com/redhat/rhn/frontend/dto/ChannelOverview.java
Sending       
code/src/com/redhat/rhn/frontend/xmlrpc/satellite/SatelliteHandler.java
Sending       
code/src/com/redhat/rhn/frontend/xmlrpc/serializer/ChannelOverviewSerializer.java
Sending       
code/src/com/redhat/rhn/frontend/xmlrpc/serializer/EntitlementServerGroupSerializer.java
Transmitting file data ......
Committed revision 137817.


This revision should be backported to the 5.1.1 branch.
Comment 2 Devan Goodwin 2008-04-28 11:53:40 EDT
Backported to 5.1.1 in revision 171826.
Comment 4 Preethi Thomas 2008-05-20 15:23:48 EDT
verified 
 ./test_satellite.list_entitlements.pl
Comment 5 Miroslav Suchý 2008-07-23 08:56:05 EDT
FAILQA in stage:
$ test_satellite.list_entitlements.pl  --host test10-64.rhndev.redhat.com --user
msuchy --password XXXX
xml declaration not at start of external entity at line 1, column 138, byte 138
at /usr/lib/perl5/vendor_perl/5.8.8/i386-linux-thread-multi/XML/Parser.pm line 188

I got these responses, the last one seem wrong:
<?xml version="1.0"
encoding="UTF-8"?><methodResponse><params><param><value><string>10976x10b8f24c3a106bdb754d02e3cb29c403</string></value></param></params></methodResponse>
----
<?xml version="1.0"
encoding="UTF-8"?><methodResponse><params><param><value><struct><member><name>system</name><value><array><data><value><?xml
version="1.0"
encoding="UTF-8"?><methodResponse><fault><value><struct><member><name>faultCode</name><value><int>-1</int></value></member><member><name>faultString</name><value><string>java.lang.NullPointerException:
null</string></value></member></struct></value></fault></methodResponse>

Comment 6 Brandon Perkins 2008-07-23 11:51:36 EDT
Release Pending.  The issue in Comment #5 From Miroslav Suchy
(msuchy@redhat.com)   on 2008-07-23 08:56 EST is a real issue, but a different
bug.  I've entered that bug as private bug Bugzilla Bug 456435:
satellite.list_entitlements from an org with no entitlements results in
NullPointerException.  The original issue of this bug is in fact fixed, and what
Miroslav ran across is a new bug.
Comment 7 Brandon Perkins 2008-08-13 15:01:25 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.
Comment 8 Brandon Perkins 2008-08-13 15:07:05 EDT
5.1.1 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.